Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.newdawn.slick.util
Class DefaultLogSystem

    java.lang.Object
      org.newdawn.slick.util.DefaultLogSystem

All Implemented Interfaces:
  LogSystem

    public class DefaultLogSystem

extends java.lang.Object
implements LogSystem

The default implementation that just spits the messages out to stdout

Author:
  kevin

Field Summary
`static java.io.PrintStream` | `out` The output stream for dumping the log out on

Constructor Summary
`DefaultLogSystem()`

Method Summary
`void` | `debug(java.lang.String message)` Log a debug message
`void` | `error(java.lang.String message)` Log an error
`void` | `error(java.lang.String message, java.lang.Throwable e)` Log an error
`void` | `error(java.lang.Throwable e)` Log an error
`void` | `info(java.lang.String message)` Log an information message
`void` | `warn(java.lang.String message)` Log a warning
`void` | `warn(java.lang.String message, java.lang.Throwable e)` Log a warning with an exception that caused it

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### out

    public static java.io.PrintStream out

  The output stream for dumping the log out on

Constructor Detail

### DefaultLogSystem

    public DefaultLogSystem()

Method Detail

### error

    public void error(java.lang.String message,
                      java.lang.Throwable e)

  Log an error

  Specified by:
    `error` in interface `LogSystem`
  Parameters:
    `message` - The message describing the error
    `e` - The exception causing the error

### error

    public void error(java.lang.Throwable e)

  Log an error

  Specified by:
    `error` in interface `LogSystem`
  Parameters:
    `e` - The exception causing the error

### error

    public void error(java.lang.String message)

  Log an error

  Specified by:
    `error` in interface `LogSystem`
  Parameters:
    `message` - The message describing the error

### warn

    public void warn(java.lang.String message)

  Log a warning

  Specified by:
    `warn` in interface `LogSystem`
  Parameters:
    `message` - The message describing the warning

### info

    public void info(java.lang.String message)

  Log an information message

  Specified by:
    `info` in interface `LogSystem`
  Parameters:
    `message` - The message describing the infomation

### debug

    public void debug(java.lang.String message)

  Log a debug message

  Specified by:
    `debug` in interface `LogSystem`
  Parameters:
    `message` - The message describing the debug

### warn

    public void warn(java.lang.String message,
                     java.lang.Throwable e)

  Log a warning with an exception that caused it

  Specified by:
    `warn` in interface `LogSystem`
  Parameters:
    `message` - The message describing the warning
    `e` - The cause of the warning

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 New Dawn Software. All Rights Reserved.